package com.yem.wm.es.Util;

import java.util.List;
import java.util.Map;

/**
 * @author xwudd
 * @date 11:52
 * @Description
 **/
public class ViewInterfaceDocking {
//    public final static String MATERIAL_WAREHOUSE = "VIEW_WH_MATER_WM";//物料仓库测试
    public final static String MATERIAL_WAREHOUSE = "VIEW_BASE_WH_MATER_DMS";//物料仓库正式
    public final static String MATERIAL_PROPERTY = "VIEW_MATER_PRO_WM";//物料属性
//    public final static String MATERIAL_INFO = "VIEW_MATER_SUPPLIER_WM";//货源信息测试
    public final static String MATERIAL_INFO = "VIEW_BASE_MATER_SUPPLIER_DMS";//货源信息正式
    public final static String QUALITY_USER_INFO = "VIEW_MATER_ATTR_WM";//质检员信息
    public final static String MATERIAL_BUYER = "VIEW_MATER_BUYER_WM";//采购员信息
    public final static String PLAN_PIN = "VIEW_PLAN_PIN_WM";//整机编号信息
    public final static String PLAN_JOB = "VIEW_PLAN_JOB_WM";//整机生产状态信息
    public final static String DETACHABLE_LARGE_INFO = "VIEW_BASE_ITEMSTRUC_WM";//整机生产状态信息
    public static List<Map> docking(String str, Map<String,Object> map,Long id){
        List<Map> result = null;
        switch(str) {
            case MATERIAL_WAREHOUSE:
                result = MaterialWarehouse.materialWarehouse(map,id);
                break;
            case MATERIAL_PROPERTY:
                result = MaterialProperty.materialWarehouse(map,id);
                break;
            case MATERIAL_INFO:
                result = MaterialInfo.materialWarehouse(map,id);
                break;
            case QUALITY_USER_INFO:
                result = QualityUserInfo.qualityInfo(map,id);
                break;
            case MATERIAL_BUYER:
                result = PurchaserInfo.buyerInfo(map,id);
                break;
            case PLAN_PIN:
                result = MaterialVehicleNoCMMP.materialVehicleNo(map,id);
                break;
            case PLAN_JOB:
                result = PlanJobCMMP.planJob(map,id);
                break;
            case DETACHABLE_LARGE_INFO:
                result = DetachableLargeInfoCMMP.DetachableLargeInfo(map,id);
                break;
        }
        return result;
    }




}
